//Mega Mushroom!
//Script written by SuperToxic
//Go nuts!
//:D


datablock ItemData(MMushroomItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./mushroom.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "MegaMushroom";
	iconName = "./MMushroom";
	doColorShift = false;

	 // Dynamic properties defined by the scripts
	image = MMushroomImage;
	canDrop = true;
};

datablock ShapeBaseImageData(MMushroomImage)
{
   // Basic Item properties
   shapeFile = "./mushroom.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5";
   rotation = eulerToMatrix( "0 0 0" );

   className = "WeaponImage";
   item = MMushroomItem;

   //raise your arm up or not
   armReady = true;

   // Initial start up state
	stateName[0]                     = "Ready";
	stateTransitionOnTriggerDown[0]  = "Fire";
	stateAllowImageChange[0]         = true;

	stateName[1]                     = "Fire";
	stateTransitionOnTimeout[1]      = "Ready";
	stateAllowImageChange[1]         = true;
      stateScript[1]                   = "onFire";
	stateTimeoutValue[1]		   = 1;
};

//What the tool actually does when you click.
function MMushroomImage::onFire(%this,%obj,%slot)
{
	%currSlot = %obj.currTool;
	%obj.setplayerscale("4 4 4");
	%obj.setscale("4 4 4");
	%obj.tool[%currSlot] = 0;
	%obj.weaponCount--;
	messageClient(%obj.client,'MsgItemPickup','',%currSlot,0);
	serverCmdUnUseTool(%obj.client);
	%obj.schedule(5000,setScale,"1 1 1");
}

//Basically, pick up the tool.
package MMushroomPackage
{
	function Armor::onCollision(%this, %obj, %col)
	{
		Parent::onCollision(%this, %obj, %col);
	}
		
};
activatePackage(MMushroomPackage);
